function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
import { useEditorStyleRegister } from "../../../../Hooks/useStyle";
var genStyle = function(token) {
    return _define_property({}, token.componentCls, {
        display: 'flex',
        flexDirection: 'column',
        position: 'fixed',
        right: 0,
        top: 0,
        width: 300,
        padding: 16,
        paddingRight: 24,
        boxSizing: 'border-box',
        gap: 8,
        borderLeft: '1px solid rgba(0,0,0,0.04)',
        maxWidth: '300px',
        backgroundColor: '#fff',
        height: '100vh',
        '&-item': {
            padding: '12px',
            border: '1px solid rgba(0,0,0,0.04)',
            borderRadius: 8,
            cursor: 'pointer',
            display: 'flex',
            flexDirection: 'column',
            gap: 8,
            '&:hover': {
                backgroundColor: '#f9f9f9'
            },
            '&-header': {
                display: 'flex',
                gap: 8,
                justifyContent: 'space-between',
                '&-title': {
                    display: 'flex',
                    gap: 8,
                    flex: 1,
                    alignItems: 'flex-end'
                },
                '&-name': {
                    display: 'flex',
                    gap: 4,
                    alignItems: 'center'
                },
                '&-time': {
                    color: '#bfbfbf',
                    fontSize: '12px'
                },
                '&-action': {
                    display: 'flex',
                    gap: 8,
                    '& &-item': {
                        cursor: 'pointer',
                        '&:hover': {
                            color: token.colorPrimary
                        }
                    }
                }
            }
        }
    });
};
/**
 * BubbleChat
 * @param prefixCls
 * @returns
 */ export function useStyle(prefixCls) {
    return useEditorStyleRegister('editor-content-column', function(token) {
        var editorToken = _object_spread_props(_object_spread({}, token), {
            componentCls: ".".concat(prefixCls)
        });
        return [
            genStyle(editorToken)
        ];
    });
}
